CLAQGE(3f)

NAME
CLAQGE - a general M by N matrix A using the row and column scaling factors in the vectors R and C

SYNOPSIS

SUBROUTINE CLAQGE(
    M, N, A, LDA, R, C, ROWCND, COLCND, AMAX, EQUED )

CHARACTER
    EQUED

INTEGER
    LDA, M, N

REAL
    AMAX, COLCND, ROWCND

REAL
    C( * ), R( * )

COMPLEX
    A( LDA, * )

PURPOSE
CLAQGE equilibrates a general M by N matrix A using the row and column scaling factors in the vectors R and C.

ARGUMENTS

M       (input) INTEGER
    The number of rows of the matrix A. M >= 0.

N       (input) INTEGER
    The number of columns of the matrix A. N >= 0.

A       (input/output) COMPLEX array, dimension (LDA,N)
    On entry, the M by N matrix A. On exit, the equilibrated matrix. See EQUED for the form of the equilibrated matrix.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(M,1).

R       (input) REAL array, dimension (M)
    The row scale factors for A.

C       (input) REAL array, dimension (N)
    The column scale factors for A.

ROWCND  (input) REAL
    Ratio of the smallest R(i) to the largest R(i).

COLCND  (input) REAL
    Ratio of the smallest C(i) to the largest C(i).

AMAX    (input) REAL
    Absolute value of largest matrix entry.

EQUED   (output) CHARACTER*1
    Specifies the form of equilibration that was done. = 'N': No equilibration
    = 'R': Row equilibration, i.e., A has been premultiplied by diag(R). = 'C': Column equilibration, i.e., A has been postmultiplied by diag(C). = 'B': Both row and column equilibration, i.e., A has been replaced by diag(R) * A * diag(C).

PARAMETERS
THRESH is a threshold value used to decide if row or column scaling should be done based on the ratio of the row or column scaling factors. If ROWCND < THRESH, row scaling is done, and if COLCND < THRESH, column scaling is done. LARGE and SMALL are threshold values used to decide if row scaling should be done based on the absolute size of the largest matrix element. If AMAX > LARGE or AMAX < SMALL, row scaling is done.